/*
 * 
 */
package com.edf.helpers;

import java.util.Date;

/**
* <p>Helper methods for working with {@link Calendar} and {@link Date} instances.</p>
*
* <p>This class contains various utility methods that make working with dates simpler.
* It provides not only its own unique methods, but also contains wrappers around 
* other 3rd party library methods so as to provide an abstraction layer between the 
* framework and an implementation.</p>
*
* @author Tim Archer
* @since 1.0
* 
*/
public final class DateUtils {
	
	/**
	 * Private Constructor. This is a utility class, dont allow it to be instantiated.
	 */
	private DateUtils () {
		
	}
	
	/**
	 * Adds a number of days to a date returning a new object.
	 *
	 * @param date the date to add to 
	 * @param amount the number of days to add
	 * @return the new date
	 * @see org.apache.commons.lang3.DateUtils.addDays
	 */    
	public static Date addDays (Date date, int amount) {
		return org.apache.commons.lang3.time.DateUtils.addDays(date, amount);
	}
}
