/*
 * 
 */
package com.edf.helpers;

/**
* <p>Helper methods for working with {@link String} instances.</p>
*
* <p>This class contains various utility methods that make working with strings simpler.
* It provides not only its own unique methods, but also contains wrappers around 
* other 3rd party library methods so as to provide an abstraction layer between the 
* framework and an implementation.</p>
*
* @author Tim Archer
* @since 1.0
* 
*/
public final class StringUtils {
	
	/**
	 * Private Constructor. This is a utility class, dont allow it to be instantiated.
	 */
	private StringUtils () {
		
	}
	
	/**
	 * Replace text in a string. 
	 *
	 * @param text the text to 
	 * @param searchString the search string of what to replace
	 * @param replacement the replacement for all instances of searchString
	 * @return the string with replaced values
	 * @see org.apache.commons.lang3.StringUtils.replace
	 */
	public static String replace(String text, String searchString, String replacement) {
		return org.apache.commons.lang3.StringUtils.replace (text, searchString, replacement);
	}
}
