/**
 * 
 */
package com.edf.helperstests;

import static org.junit.Assert.*;

import java.lang.reflect.Constructor;
import java.util.Date;

import org.junit.Test;

import com.edf.helpers.DateUtils;

/**
* <p>Tests for the class {@link com.edf.helpers.DateUtils}</p>
*
*
* @author Tim Archer
* @since 1.0
* 
*/
public class DateUtilsTest {

	/**
	 * Ensure the private constructor gets code coverage
	 */	
	@Test
	public void privateConstructorInaccessibilityTest() throws Exception {
		Constructor<?>[] constructors = DateUtils.class.getDeclaredConstructors();
	    assertEquals("Utility class should only have one constructor", 1, constructors.length);
	    Constructor<?> constructor = constructors[0];

	    assertFalse("Utility class constructor should be inaccessible", constructor.isAccessible());
	    constructor.setAccessible(true); // obviously we'd never do this in production
	    assertEquals("You'd expect the construct to return the expected type", DateUtils.class, constructor.newInstance().getClass());
	}
	
	/**
	 * Test method for {@link com.edf.helpers.DateUtils#addDays}.
	 */
	@Test
	public void testAddDays() {
		Date startDate = new java.util.Date();
		Date newDate = DateUtils.addDays(startDate, 1);
		Date newDate2 = DateUtils.addDays(newDate, -1);
		
	    assertEquals("Result", startDate, newDate2);				
	}

}
