/**
 * 
 */
package com.edf.helperstests;

import static org.junit.Assert.*;

import java.lang.reflect.Constructor;

import org.junit.Test;

import com.edf.helpers.StringUtils;

/**
* <p>Tests for the class {@link com.edf.helpers.StringUtils}</p>
*
*
* @author Tim Archer
* @since 1.0
* 
*/
public class StringUtilsTest {

	/**
	 * Ensure the private constructor gets code coverage
	 */	
	@Test
	public void privateConstructorInaccessibilityTest() throws Exception {
		Constructor<?>[] constructors = StringUtils.class.getDeclaredConstructors();
	    assertEquals("Utility class should only have one constructor", 1, constructors.length);
	    Constructor<?> constructor = constructors[0];

	    assertFalse("Utility class constructor should be inaccessible", constructor.isAccessible());
	    constructor.setAccessible(true); // obviously we'd never do this in production
	    assertEquals("You'd expect the construct to return the expected type", StringUtils.class, constructor.newInstance().getClass());
	}
	
	/**
	 * Test method for {@link com.edf.helpers.StringUtils#replace(java.lang.String, java.lang.String, java.lang.String)}.
	 */
	@Test
	public void testReplaceBasic() {
		//fail("Not yet implemented");
		String newString = StringUtils.replace("Enterprise Development Framework Test", "Test", "Works");
	    assertEquals("Result", newString, "Enterprise Development Framework Works");		
	}

	/**
	 * Test method for {@link com.edf.helpers.StringUtils#replace(java.lang.String, java.lang.String, java.lang.String)}.
	 */
	@Test
	public void testReplaceWithNullArgs() {
		//fail("Not yet implemented");
		String newString = StringUtils.replace(null, null, null);
		assertNull("Replacement on null string results in new null string.", newString);
	}
	
	/**
	 * Test method for {@link com.edf.helpers.StringUtils#replace(java.lang.String, java.lang.String, java.lang.String)}.
	 */
	@Test
	public void testReplaceCharacterWithNull() {
		//fail("Not yet implemented");
		String newString = StringUtils.replace("My String", "My", "");
		assertEquals(newString, " String");
	}		
}
