package com.edf.sample.web;

import static org.junit.Assert.*;

import java.io.ByteArrayOutputStream;
import java.io.PrintWriter;

import javax.servlet.http.*;

import org.junit.Test;
import static org.hamcrest.CoreMatchers.containsString;

import static org.mockito.Mockito.*;

/**
* <p>Tests for the class {@link com.edf.sample.web.HelloWorldServlet}</p>
*
*
* @author Tim Archer
* @since 1.0
* 
*/
public class HelloWorldServletTest {

	/**
	 * Unit Test
	 */	
	@Test
	public void testDoGetWithUserName() throws Exception {
        HttpServletRequest request = mock(HttpServletRequest.class);       
        HttpServletResponse response = mock(HttpServletResponse.class);
        //Mock a stream to write to
        ByteArrayOutputStream baos = new ByteArrayOutputStream();        
        PrintWriter writer = new PrintWriter(baos);
        when(response.getWriter()).thenReturn(writer);
        //Mock parameters
        when(request.getParameter("username")).thenReturn("Tim");

        new HelloWorldServlet().doGet(request, response);
        writer.flush(); //may not have been flushed, ensure it has been before evaluating
        
        String responseString = baos.toString();
        assertThat(responseString, containsString("Hello Tim!"));
	}


	/**
	 * Unit Test
	 */	
	@Test
	public void testDoGetWithoutUserName() throws Exception {
        HttpServletRequest request = mock(HttpServletRequest.class);       
        HttpServletResponse response = mock(HttpServletResponse.class);
        //Mock a stream to write to
        ByteArrayOutputStream baos = new ByteArrayOutputStream();        
        PrintWriter writer = new PrintWriter(baos);
        when(response.getWriter()).thenReturn(writer);

        new HelloWorldServlet().doGet(request, response);
        writer.flush(); //may not have been flushed, ensure it has been before evaluating
        
        String responseString = baos.toString();
        assertThat(responseString, containsString("Hello, World!"));
	}
	
}
